#include <stdio.h>
#include <stdlib.h>

int main()
{
    int m,i,minx,miny,j,zbir=0;
    scanf("%d", &m);
    int x[m],y[m];

    while(i!=m)
    {
        scanf("%d", &x[i]);
        scanf("%d", &y[i]);
        i++;
    }
    i=0;

    for(i=0;i<m;i++)
    {
        if(i==0)
        {
            printf("0\n");
        }
        else if(i==1)
        {
            printf("1\n");
        }
        else
        {       minx=x[0];
                miny=y[0];

            for(j=1;j<=i;j++)
            {
                if(x[j]<minx)
                {
                    minx=x[j];
                }
                if(y[j]<miny)
                {
                    miny=y[j];
                }

            }

            for(j=0;j<=i;j++)
            {
                zbir=zbir+((x[j]-minx)*(y[j]-miny));
            }printf("%d\n", zbir);
            zbir=0;

        }


    }




    return 0;
}